py_script
========

  Python scripts for drawing figures of Tsujino et al. (2023, in revision).


Contents
--------

Figures (revision-1 v20230911)
--------

  * Figure 1: FgDIC_integ_sink7_spinup_last_30yrs_GCB2022_v4.py
     -----> ./fig/FgCO2_integ_spinup_2d_comp_gcb2022_v4.[png,pdf]
     -----> ./txt/FgDIC_compare.txt

  * Figure 2: SST_SSH_MLD_QTOT_comp_v4.py GLB100km NP10km
     -----> ./fig/SST_SSH_MLD_QTOT_bias_compare_v4.[png,pdf]

  * Figure 3: pCO2_INTPP_comp_v2.py GLB100km NP10km
     -----> ./fig/pCO2_INTPP_comp_v2.[png,pdf]

  * Figure 4: TCO2_Alk_NO3_yz_upper_section_fulldepth_v3.py 1987 2017 164.5
     -----> ./fig/TCO2_Alk_NO3_164section_v3.[png,pdf]

  * Figure 5: MOC_INP_all.py 1987 2017 GLB100km NP10km
     -----> MOC_INP_comp.[png,pdf]

  * Figure 6: Cant_inventory_flux_all_v3.py GLB100km NP10km
     -----> ./fig/Cant_comp_all_v3.[png,pdf]
     -----> ./txt/Cant_inventory.txt

  * Figure 7: Cant_dens_section_yz_v2.py 1987 2017 164.5
     -----> ./fig/Cant_comp-164_v2.[png,pdf]

  * Figure 8: Cant_storage_plot_time_series_mon_compare_2regions.py 1937 2018 3 2 25.25
     ----> figCanth_storage_time_mon_NWST-SWST_1937-2018_v2.[png,pdf]

  * Figure 9-10: Cant_integ_thick_Mont_sig_xy_v4.py 1987 2017 [den1, den2]
     [den1,den2] = [25.05,25,45] [26.05,26.45] 
     -----> ./fig/Thick_Cant_int_*_v4.[png,pdf]

  * Figure 11: Cant_storage_rate_all_residual_summary_NWST.py
     ----> fig/Cant_storage_rate_all_summary_pac3_NW-Subtropical.[png,pdf]

  * Figure 12: Cant_storage_rate_all_residual_summary_SWST.py
     ----> fig/Cant_storage_rate_all_summary_pac3_SW-Subtropical.[png,pdf]

  * Figure 13,14: Drawn with PowerPoint.
     - Values listed in excel books
        in ../data/[glb100km,np10km]/xlsx directory are used.

  * Figure 15,16: Cant_budgets_Mont_sig_xy_v2.py 1987 2017 [den1, den2]
     [den1,den2] = [25.0,25.5], [23.0,24.0]
     -----> ./fig/Cant_budget_2500-2550_v2.[png,pdf]
     -----> ./fig/Cant_budget_2300-2400_v2.[png,pdf]

  * Figure 17: Drawn with PowerPoint.



Tables
--------

  * Table 1: Values listed in excel books
       in ../data/[glb100km,np10km]/xlsx directory are used.



Supplement
--------

  * Figure S1: MOC_comp_all.py_v2 1987 2017 GLB100km NP10km
                -----> ./fig/MOC_comp_all_v2.[png,pdf]

  * Figure S2: EKE_comp_v2.py
                -----> ./fig/EKE_comp_1993-2018_v2.[png,pdf]

  * Figure S3: Cant_surf_monclim_annclim_xy_v2.py 1987 2017
                -----> ./fig/Cant_surf_comp_ann_feb_aug_v2.[png,pdf]

  * Figure S4: Cant_storage_rate_all_residual_summary_EST.py
     -----> fig/Cant_storage_rate_all_summary_pac3_E-Subtropical.[png,pdf]

  * Figure S5: volume_conversion_summary_pac3.py
     -----> fig/Volume_conversion_rate_summary_pac3_all.[png,pdf]

  * Figure S6: volume_transport_timemean_drawhist_pac3_glb100km_v2.py 1987 2017 GLB100km
     -----> fig/Volume_trans_pac3_GLB100km_1987-2017_v2.[png,pdf]

  * Figure S7: volume_transport_timemean_drawhist_pac3_np100km_v2.py 1987 2017 NP100km
     -----> fig/Volume_trans_pac3_NP10km_1987-2017_v2.[png,pdf]

  * Figure S8: Cant_transport_timemean_drawhist_glb100km_v2.py 1987 2017 GLB100km
     -----> fig/Cant_trans_pac3_GLB100km_1987-2017_v2.[png,pdf]

  * Figure S9: Cant_transport_timemean_drawhist_np100km_v2.py 1987 2017 NP100km
     -----> fig/Cant_trans_pac3_NP10km_1987-2017_v2.[png,pdf]


Figures (original: v20230320)
--------

  * Figure 1: FgDIC_integ_sink7_spinup_last_30yrs_GCB2022.py
     -----> ./fig/FgCO2_integ_spinup_2d_comp_gcb2022.[png,pdf]

  * Figure 2: SST_SSH_MLD_QTOT_comp.py GLB100km NP10km
     -----> ./fig/SST_SSH_MLD_QTOT_bias_compare.[png,pdf]

  * Figure 3: pCO2_INTPP_comp.py GLB100km NP10km 164.5
     -----> ./fig/pCO2_INTPP_comp.[png,pdf]

  * Figure 4: TCO2_Alk_NO3_yz_upper_section_fulldepth.py 1987 2017 164.5
     -----> ./fig/TCO2_Alk_NO3_164section.[png,pdf]

  * Figure 5: MOC_INP_all.py 1987 2017 GLB100km NP10km
     -----> MOC_INP_dmp.[png,pdf]

  * Figure 6: Cant_inventory_flux_all.py GLB100km NP10km
     -----> ./fig/Cant_comp_all.[png,pdf]

  * Figure 7: Cant_dens_section_yz.py 1987 2017 164.5
     -----> ./fig/Cant_comp-164.[png,pdf]

  * Figure 8: Cant_storage_all_plot_time_series_mon_compare_2regions.py 1937 2018 3 2
     ----> fig/Canth_storage_all_time_mon_NWST-SWST_1937-2017.[png,pdf]

  * Figure 9-11: Cant_integ_thick_Mont_sig_xy.py 1987 2017 [den1, den2]
     [den1,den2] = [23.25,23.9] [25.05,25,45] [26.05,26.45] 
     -----> ./fig/Thick_Cant_int_*.[png,pdf]

  * Figure 12: Cant_storage_lyr_plot_time_series_mon_compare_2regions.py 1937 2018 3 2 25.25
     ----> fig/Canth_storage_lyr_time_mon_NWST-SWST_1937-2018.[png,pdf]

  * Figure 13: Cant_storage_rate_all_residual_summary_NWST.py
     ----> fig/Cant_storage_rate_all_summary_pac3_NW-Subtropical.[png,pdf]

  * Figure 14: Cant_storage_rate_all_residual_summary_SWST.py
     ----> fig/Cant_storage_rate_all_summary_pac3_SW-Subtropical.[png,pdf]

  * Figure 15,16: Drawn with PowerPoint.
     - Values listed in excel books
        in ../data/[glb100km,np10km]/xlsx directory are used.

  * Figure 17,18: Cant_budgets_Mont_sig_xy.py 1987 2017 [den1, den2]
     [den1,den2] = [25.0,25.5], [23.0,24.0]
     -----> ./fig/Cant_budget_2500-2550.[png,pdf]
     -----> ./fig/Cant_budget_2300-2400.[png,pdf]

  * Figure 19: MOCIP_comp_volume_np.py
     -----> ./fig/MOCIP_comp_inp_vol.[png,pdf]

  * Figure 20: Drawn with PowerPoint.



Contact
--------

  * TSUJINO Hiroyuki (JMA-MRI)
